INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_FOOBAR foobar)

FIND_PATH(
    FOOBAR_INCLUDE_DIRS
    NAMES foobar/api.h
    HINTS $ENV{FOOBAR_DIR}/include
        ${PC_FOOBAR_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    FOOBAR_LIBRARIES
    NAMES gnuradio-foobar
    HINTS $ENV{FOOBAR_DIR}/lib
        ${PC_FOOBAR_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(FOOBAR DEFAULT_MSG FOOBAR_LIBRARIES FOOBAR_INCLUDE_DIRS)
MARK_AS_ADVANCED(FOOBAR_LIBRARIES FOOBAR_INCLUDE_DIRS)

